CHFN(1)

NOME
chfn - cambia il nome dell'utente e altre informazioni

SINOSSI

chfn [opzioni] [LOGIN]

DESCRIZIONE

chfn è usato per cambiare il nome completo dell'utilizzatore, il numero di stanza dell'ufficio, quello di telefono dell'ufficio e di casa. Questi dati sono normalmente stampati dal programma finger(1) o equivalenti. Un utente normale può cambiare solo i dati relativi al proprio account, con eventuali altre limitazioni specificate in /etc/login.defs. (La configurazione predefinita impedisce la modifica del proprio nome completo.) Il super utente può cambiare tutte le informazioni di ciascun utente. Inoltre, solo il super utente può usare l'opzione -o per la modifica delle parti non definite del campo GECOS.

Questi campi non possono contenere nessun carattere due punti. Ad eccezione del campo other, non dovrebbero contenere nessuna virgola e nessun segno uguale. È anche consigliato di evitare caratteri non US-ACII, ma su questo viene fatto un controllo solo per il numero di telefono. Il campo other viene utilizzato per memorizzare informazioni sull'«accounting» da altre applicazioni.

OPZIONI

Il comando chfn accetta le seguenti opzioni:

-f, --full-name NOME_COMPLETO
    Cambia il nome completo dell'utente.

-h, --home-phone TELEFONO_CASA
    Cambia il numero di telefono di casa dell'utente.

-o, --other ALTRO
    Cambia il campo GECOS per le altre informazioni. Questo campo viene utilizzato per memorizzare informazioni di «accounting» usate da altre applicazioni, e può essere modificato solo dal super utente.

-r, --room NUMERO_STANZA
    Cambia il numero della stanza dell'utente.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-u, --help
    Mostra un messaggio di aiuto ed esce.

-w, --work-phone TELEFONO_LAVORO
    Cambia il numero di telefono di lavoro dell'utente.

Se nessuna delle opzioni è selezionata, chfn opera in maniera interattiva, chiedendo all'utente il valore da impostare per ogni campo. Inserire un nuovo valore per sostituire il contenuto attuale, oppure lasciare la riga vuota per non cambiarlo. Il valore attuale è mostrato tra le parentesi [ ]. Senza nessuna opzione, chfn opera sull'account corrente.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

CHFN_AUTH (booleano)
    Se yes, il programma chfn richiederà l'autenticazione prima di apportare qualsiasi modifica, a meno che non sia eseguito dal super utente.

CHFN_RESTRICT (testo)
    Questo parametro specifica quali valori del campo gecos del file /etc/passwd possono essere cambiati da utenti normali usando il programma chfn. Può essere una combinazione qualsiasi delle lettere f, r, w, h per «Nome completo (f)», «Numero stanza (r)», «Telefono di lavoro (w)» e «Telefono di casa (h)». Per compatibilità con precedenti versioni, yes è quivalente a rwh e no è equivalente a frwh. Se non specificato, solo il super utente può effettuare modifiche. Le impostazioni più stringenti si ottengono installando chfn non SUID.

LOGIN_STRING (testo)
    Il testo da utilizzare per richiedere la password. Il valore predefinito è «Password: » o una sua traduzione. Se si imposta questa variabile allora il testo non verrà tradotto.

    Se il testo contiene %s, questo verrà sostituito dal nome dell'utente.

FILE

/etc/login.defs
    Configurazione del pacchetto password shadow

/etc/passwd
    Informazioni sugli account utente.

VEDERE ANCHE

chsh(1), login.defs(5), passwd(5).